#declare hole3 = object {
  union {
    cylinder { <0, -0.11,  0>, <0, 0.61,  0>, 0.7 }
    cylinder { <0, -0.11,  2>, <0, 0.61,  2>, 0.7 }
    cylinder { <0, -0.11, -2>, <0, 0.61, -2>, 0.7 }
  }
}

#declare ring3 = object {
  union {
    cylinder { <0, -0.1,  0>, <0, 0.6,  0>, 0.9 }
    cylinder { <0, -0.1,  2>, <0, 0.6,  2>, 0.9 }
    cylinder { <0, -0.1, -2>, <0, 0.6, -2>, 0.9 }
  }
}

#declare plate = object {
  difference {
    union {
      box { <-5.5, 0, -3.5>, <5.5, 0.5, 3.5> }
      union {
        object { ring3 translate <-4, 0, 0> }
        object { ring3 translate <-2, 0, 0> }
        object { ring3 }
        object { ring3 translate < 2, 0, 0> }
        object { ring3 translate < 4, 0, 0> }
      }
    }
    union {
      object { hole3 translate <-4, 0, 0> }
      object { hole3 translate <-2, 0, 0> }
      object { hole3 }
      object { hole3 translate < 2, 0, 0> }
      object { hole3 translate < 4, 0, 0> }
    }
  }
  bounded_by { box { <-5.51, -0.01, -3.51>, <5.51, 0.51, 3.51> } }
}

#declare dent3 = object {
  union {
    sphere { <0, 1.6,  0>, 1.4 }
    sphere { <0, 1.6, -2>, 1.4 }
    sphere { <0, 1.6,  2>, 1.4 }
  }
}

#declare base = object {
  difference {
    box { <-5.5, 0.1, -3.5>, <5.5, 0.5, 3.5> }
    union {
      object { dent3 translate <-4, 0, 0> }
      object { dent3 translate <-2, 0, 0> }
      object { dent3 }
      object { dent3 translate < 2, 0, 0> }
      object { dent3 translate < 4, 0, 0> }
    }
  }
  bounded_by { box { <-5.51, -0.01, -3.51>, <5.51, 0.51, 3.51> } }
}

#declare prop = object {
  union {
    cylinder { <0, 1.0, 0>, <0, 5, 0>, 0.5 }
    sphere { <0, 0, 0>, 0.5 scale <1, 0.5, 1> translate <0, 4.999, 0> }
    cone { <0, 1.001, 0>, 0.5, <0, 0,   0>, 0 }
  }
  bounded_by { cylinder { <0, -0.1, 0>, <0, 5.51, 0>, 0.51 } }
}

object {
  union {
    object { plate translate <  0,   4,  0 > }
    object { prop  translate <  5.5, 0,  3.5 > }
    object { prop  translate <  5.5, 0, -3.5 > }
    object { prop  translate < -5.5, 0, -3.5 > }
    object { prop  translate < -5.5, 0,  3.5 > }
    object { base }
  }
  texture { New_Brass }
  bounded_by { box { <-6.02, -0.11, -4.02>, <6.02, 5.52, 4.02> } }
}
